require_relative 'browserlike'
class AbokiFX
  include BrowserLike

  URL = 'http://abokifx.com'

  CBN_DATE_PATH = %q{//*[@id="post-29"]/div/table[9]/tbody/tr[2]/td[1]/span}
  CBN_USD_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[9]/tbody/tr[2]/td[2]/span}
  CBN_GBP_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[9]/tbody/tr[2]/td[3]/span}
  CBN_EUR_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[9]/tbody/tr[2]/td[4]/span}

  WESTERN_UNION_DATE_PATH = %q{//*[@id="post-29"]/div/table[7]/tbody/tr[2]/td[1]/span}
  WESTERN_UNION_USD_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[7]/tbody/tr[2]/td[2]/span}
  WESTERN_UNION_GBP_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[7]/tbody/tr[2]/td[3]/span}
  WESTERN_UNION_EUR_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[7]/tbody/tr[2]/td[4]/span}

  BLACK_MARKET_DATE_PATH = %q{//*[@id="post-29"]/div/table[1]/tbody/tr[3]/td[1]/span}
  BLACK_MARKET_USD_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[1]/tbody/tr[3]/td[2]/span}
  BLACK_MARKET_GBP_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[1]/tbody/tr[3]/td[3]/span}
  BLACK_MARKET_EUR_AMOUNT_PATH = %q{//*[@id="post-29"]/div/table[1]/tbody/tr[3]/td[4]/span}

  def initialize
    visit_link URL
  end


  # CBN
  def latest_cbn_rates
    date = find_on_page(CBN_DATE_PATH)
    usd = find_on_page(CBN_USD_AMOUNT_PATH)
    gbp = find_on_page(CBN_GBP_AMOUNT_PATH)
    eur = find_on_page(CBN_EUR_AMOUNT_PATH)
    return date, usd, gbp, eur
  end


  # WESTERN UNION
  def latest_wu_rates
    date = find_on_page(WESTERN_UNION_DATE_PATH)
    usd = find_on_page(WESTERN_UNION_USD_AMOUNT_PATH)
    gbp = find_on_page(WESTERN_UNION_GBP_AMOUNT_PATH)
    eur = find_on_page(WESTERN_UNION_EUR_AMOUNT_PATH)
    return date, usd, gbp, eur
  end


  # BLACK MARKET
  def latest_bmkt_rates
    date = find_on_page(BLACK_MARKET_DATE_PATH)
    usd = find_on_page(BLACK_MARKET_USD_AMOUNT_PATH)
    gbp = find_on_page(BLACK_MARKET_GBP_AMOUNT_PATH)
    eur = find_on_page(BLACK_MARKET_EUR_AMOUNT_PATH)
    return date, usd, gbp, eur
  end


end
